Bug 8111 - Language chooser display problem in self-checkout
Summary: Language chooser display problem in self-checkout
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Self checkout (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-16 16:43 UTC by Owen Leonard
Modified: 2013-12-05 19:57 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8111 - Language chooser display problem in self-checkout (5.34 KB, patch)
2012-05-16 16:52 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 8111 - Language chooser display problem in self-checkout (5.35 KB, patch)
2012-06-01 23:09 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2012-05-16 16:43:02 UTC
The self-checkout page lacks the proper JS includes to generate the language-chooser menu when there are multiple variants of a language. The SCO-specific CSS file also lacks some updates which were made to the main CSS for this feature.
Comment 1 Owen Leonard 2012-05-16 16:52:12 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2012-06-01 23:09:46 UTC
Created attachment 9899 [details] [review]
Bug 8111 - Language chooser display problem in self-checkout

- Adds required JavaScript and JavaScript linked files
- Updates CSS with changes relevant to this feature which had
  been made to the main CSS file.
- Removes an image file which has been made obsolete now that
  sco.css uses the main image sprite like opac.css does.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 3 Ian Walls 2012-06-04 16:14:55 UTC
Template only change, largely CSS and some YUI JS.  Also adds a new image.  Marking as Passed QA.
Comment 4 Paul Poulain 2012-06-05 13:52:28 UTC
QA comment: the help page (sco/help.pl) still does not have the language chooser. That's not a big deal, as the user probably choose the language before hitting HELP, but just FYI
Comment 5 Chris Cormack 2012-06-05 15:27:07 UTC
Pushed to 3.8.x, will be in 3.8.2